LibreOffice: XModuleManager2 Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
XModuleManager2 Interface Reference

This interface provides a merged single interface for the ModuleManager service to implement. More...

`import <XModuleManager2.idl;`

Inheritance diagram for XModuleManager2:

## Exported Interfaces
interface | XModuleManager
| provides functions to identify office modules.
interface | ::com::sun::star::container::XNameReplace
| provides read access to the configuration of office modules.

## Additional Inherited Members
Public Member Functions inherited from XModuleManager
string | identify ([in] ::com::sun::star::uno::XInterface Module) raises (::com::sun::star::lang::IllegalArgumentException, UnknownModuleException )
| identifies the given module.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()

## Detailed Description

This interface provides a merged single interface for the ModuleManager service to implement.

Since
  LibreOffice 4.0

## Exported Interfaces

## ◆ ::com::sun::star::container::XNameReplace

interface ::com::sun::star::container::XNameReplace

provides read access to the configuration of office modules.

Every module is referenced by a unique service name (which is used inside configuration as set node name too) and is further represented by a sequence of elements of type com::sun::star::beans::PropertyValue. A list of properties can be gotten from the configuration template org.openoffice.Setup/Factory.

## ◆ XModuleManager

interface XModuleManager

provides functions to identify office modules.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XModuleManager2.idl